%define uname   visualboyadvance-m
%define wxname  wxvbam

Name:           vbam
Version:        2.1.5
Release:        %mkrel 3
Summary:        A Game Boy emulator
Group:          Emulators
License:        GPLv2+
URL:            https://github.com/visualboyadvance-m/visualboyadvance-m
Source0:        https://github.com/visualboyadvance-m/visualboyadvance-m/archive/v%{version}/%{uname}-%{version}.tar.gz
# https://github.com/visualboyadvance-m/visualboyadvance-m/issues/1028
Patch1:         0001-Fix-build-with-wxUSE_GLCANVAS_EGL=0.patch

BuildRequires:  cmake
BuildRequires:  gettext
BuildRequires:  nasm
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(libavcodec)
BuildRequires:  pkgconfig(libavformat)
BuildRequires:  pkgconfig(libswscale)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(sfml-network)
BuildRequires:  pkgconfig(sfml-system)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  wxgtk-devel
BuildRequires:  zip

Provides:       visualboyadvance = %{version}-%{release}
Provides:       visualboyadvance-m = %{version}-%{release}

%description
VisualBoyAdvance-M (vbam) is a Nintendo Game Boy, Game Boy Color and
Game Boy Advance emulator. It is based on VisualBoyAdvance and integrates
the best features from the various other forks.

It also features a wxGTK frontend (%{uname}) and a CLI interface with SDL (%{name}).

%prep
%autosetup -p1 -n %{uname}-%{version}

# Fix build with openal 1.23
sed -e '/AL_NO_PROTOTYPES/d' -i src/wx/openal.h

%build
%cmake \
  -DCMAKE_SKIP_RPATH:BOOL=ON \
  -DENABLE_WX:BOOL=ON \
  -DENABLE_SDL:BOOL=ON \
  -DENABLE_FFMPEG=ON
%cmake_build

%install
%cmake_install

%find_lang %{wxname}

%files -f %{wxname}.lang
%doc doc/ReadMe.SDL.txt doc/DevInfo.txt
%{_bindir}/%{name}
%{_bindir}/%{uname}
%{_datadir}/%{name}/
%{_datadir}/appdata/%{uname}.appdata.xml
%{_datadir}/applications/%{uname}.desktop
%{_iconsdir}/hicolor/*/apps/%{uname}.*
%{_mandir}/man6/%{name}.6*
%{_mandir}/man6/%{uname}.6*
%config(noreplace) %{_sysconfdir}/%{name}.cfg


%changelog
* Sat Mar 11 2023 daviddavid <daviddavid> 2.1.5-3.mga9
+ Revision: 1948581
- fix build with openal 1.23

* Wed Jan 18 2023 daviddavid <daviddavid> 2.1.5-2.mga9
+ Revision: 1934246
- enable ffmpeg support

* Wed Jan 18 2023 daviddavid <daviddavid> 2.1.5-1.mga9
+ Revision: 1934244
- new version: 2.1.5
- remove merged upstream patches
- add upstream patch to fix build w/wxUSE_GLCANVAS_EGL=0

* Fri Jul 15 2022 wally <wally> 2.1.4-9.mga9
+ Revision: 1868972
- rebuild for wxgtk 3.2.0

* Sun Jun 12 2022 wally <wally> 2.1.4-8.mga9
+ Revision: 1864111
- rebuild for wxgtk 3.1.7

* Fri Apr 15 2022 wally <wally> 2.1.4-7.mga9
+ Revision: 1850019
- rebuild for wxgtk 3.1.6

* Sun Apr 03 2022 umeabot <umeabot> 2.1.4-6.mga9
+ Revision: 1842868
- Mageia 9 Mass Rebuild

* Sat Jan 15 2022 wally <wally> 2.1.4-5.mga9
+ Revision: 1768489
- rebuild for wxgtk 3.1.5 with working wxSizer::SetSizeHints()

* Tue Jan 04 2022 wally <wally> 2.1.4-4.mga9
+ Revision: 1766833
- rebuild again for wxgtk 3.1.5 without wxGLCanvas Wayland/EGL backend support

* Mon Jan 03 2022 wally <wally> 2.1.4-3.mga9
+ Revision: 1766412
- rebuild for wxgtk 3.1.5 with wxGLCanvas Wayland/EGL backend enabled

* Sat Jan 01 2022 wally <wally> 2.1.4-2.mga9
+ Revision: 1765826
- skip RPATH
- rebuild for wxgtk 3.1.5 to resolve 'Symbol X has different size in shared object, consider re-linking' error

* Tue Jan 26 2021 akien <akien> 2.1.4-1.mga8
+ Revision: 1673438
- Fix inline asm check for ARM
- Fix version string
- Version 2.1.4
  o Now uses wxGTK for the graphical client
  o Uses SDL2 and SFML
+ danf <danf>
- Switch URLs from http: to https:

* Fri Feb 14 2020 umeabot <umeabot> 1.8.0-1.1231.5.mga8
+ Revision: 1519167
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Thu Oct 04 2018 daviddavid <daviddavid> 1.8.0-1.1231.4.mga7
+ Revision: 1317598
- Mageia 7 Mass Rebuild

* Sat Oct 14 2017 cjw <cjw> 1.8.0-1.1231.3.mga7
+ Revision: 1171738
- fix build with gcc 7

* Tue Jan 19 2016 daviddavid <daviddavid> 1.8.0-1.1231.2.mga6
+ Revision: 925858
- compile C++ code with -std=gnu++11 -fpermissive

* Sat Jan 31 2015 akien <akien> 1.8.0-1.1231.1.mga5
+ Revision: 812917
- New snapshot: r1231
- Do not build against SFML, the corresponding feature is disabled

* Wed Oct 15 2014 umeabot <umeabot> 1.8.0-0.svn1202.4.mga5
+ Revision: 751074
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.8.0-0.svn1202.3.mga5
+ Revision: 690130
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 1.8.0-0.svn1202.2.mga4
+ Revision: 539069
- Mageia 4 Mass Rebuild

* Fri Oct 04 2013 dams <dams> 1.8.0-0.svn1202.1.mga4
+ Revision: 491322
- new snapshot r2102

* Mon Jun 03 2013 fwang <fwang> 1.8.0-0.svn1159.1.mga4
+ Revision: 435779
- new snapshot

* Mon Jan 14 2013 umeabot <umeabot> 1.8.0-0.svn1138.3.mga3
+ Revision: 385232
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Sep 28 2012 fwang <fwang> 1.8.0-0.svn1138.2.mga3
+ Revision: 298932
- fix requires

* Fri Sep 28 2012 fwang <fwang> 1.8.0-0.svn1138.1.mga3
+ Revision: 298915
- build staticlib
- new snapshot 1.8.0.1138

* Thu Sep 27 2012 tv <tv> 1.8.0-0.svn1103.6.mga3
+ Revision: 298629
- rebuild for new pango

* Thu Sep 27 2012 tv <tv> 1.8.0-0.svn1103.5.mga3
+ Revision: 298610
- rebuild for new pango

* Fri Jul 27 2012 dams <dams> 1.8.0-0.svn1103.4.mga3
+ Revision: 274984
- fix typo in provides

* Sat Jul 21 2012 dams <dams> 1.8.0-0.svn1103.3.mga3
+ Revision: 272998
- clean specfile and update .desktop file
- clean specfile

* Fri Jul 20 2012 dams <dams> 1.8.0-0.svn1103.2.mga3
+ Revision: 272939
- fix typo in 'provides' and 'obsoletes'

* Fri Jul 20 2012 dams <dams> 1.8.0-0.svn1103.1.mga3
+ Revision: 272917
- new snapshot r1103
- imported package vbam

